cryptohash-0.11.9: collection of crypto hashes, fast, pure and practical

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | Trustworthy
Language | Haskell98

Crypto.Hash.SHA1

Contents

- Incremental hashing Functions
- Single Pass hashing

Description

A module containing SHA1 bindings

Synopsis

- newtype Ctx = Ctx (Context SHA1)
- init :: Ctx
- update :: Ctx -> ByteString -> Ctx
- updates :: Ctx -> [ByteString] -> Ctx
- finalize :: Ctx -> ByteString
- hash :: ByteString -> ByteString
- hashlazy :: ByteString -> ByteString

# Documentation

newtype Ctx #

SHA1 Context

Constructors

Ctx (Context SHA1) |

# Incremental hashing Functions

init :: Ctx #

init a context

update :: Ctx -> ByteString -> Ctx #

update a context with a bytestring

updates :: Ctx -> [ByteString] -> Ctx #

updates a context with multiples bytestring

finalize :: Ctx -> ByteString #

finalize the context into a digest bytestring

# Single Pass hashing

hash :: ByteString -> ByteString #

hash a strict bytestring into a digest bytestring

hashlazy :: ByteString -> ByteString #

hash a lazy bytestring into a digest bytestring